: Class UserProfileChangeServlet

Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Class UserProfileChangeServlet

    java.lang.Object
      |
      +--javax.servlet.GenericServlet
            |
            +--javax.servlet.http.HttpServlet
                  |
                  +--UserProfileChangeServlet

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

public class UserProfileChangeServlet
extends javax.servlet.http.HttpServlet

This servlet is called when a user wants to change his profile. He will be directed to this servlet on clicking on the chnge profile link. The methods of this servlet generated form for changing various fields as well as password. It varifies all entries and changes the profile.

See Also:
  Serialized Form

Field Summary
`javax.servlet.http.HttpSession` | `session` This method gets all user infomation using methods of QueryEngine class and generates a form for the user to change his profile.

Constructor Summary
`UserProfileChangeServlet()`

Method Summary
`void` | `doGet(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`void` | `doPost(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` This will varify all entries made by user in change profile form and would change his profile on all correct entries.

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doOptions, doPut, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, init, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### session

    public javax.servlet.http.HttpSession session

  This method gets all user infomation using methods of QueryEngine class and generates a form for the user to change his profile. On submitting the form the control passes on to doPost method.

Constructor Detail

### UserProfileChangeServlet

    public UserProfileChangeServlet()

Method Detail

### doGet

    public void doGet(javax.servlet.http.HttpServletRequest request,
                      javax.servlet.http.HttpServletResponse response)
               throws javax.servlet.ServletException,
                      java.io.IOException

  Overrides:
    `doGet` in class `javax.servlet.http.HttpServlet`

### doPost

    public void doPost(javax.servlet.http.HttpServletRequest request,
                       javax.servlet.http.HttpServletResponse response)
                throws javax.servlet.ServletException,
                       java.io.IOException

  This will varify all entries made by user in change profile form and would change his profile on all correct entries.
  Overrides:
    `doPost` in class `javax.servlet.http.HttpServlet`
  Parameters:
    `HttpServletRequest` - request
    `HttpServletResponse` - response

Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD